//---------------------------------------------------------------------------
#ifndef CisloKomplexneH
#define CisloKomplexneH
//---------------------------------------------------------------------------
class TCisloKomplexne
{
protected:
	float Re,Im;
public:
	TCisloKomplexne();
	TCisloKomplexne(const float,const float);
	~TCisloKomplexne();
	TCisloKomplexne& operator=(const TCisloKomplexne&);

	friend const TCisloKomplexne operator+(const TCisloKomplexne&,
		const TCisloKomplexne&);
	friend const TCisloKomplexne operator*(const TCisloKomplexne&,
		const TCisloKomplexne&);
	TCisloKomplexne HermitovskyZdruzene();

	friend istream& operator>>(istream&,TCisloKomplexne&);
	friend ostream& operator<<(ostream&,const TCisloKomplexne&);
};
//---------------------------------------------------------------------------
#endif
